#!/usr/bin/env python

# Copyright (C) 2009 by Intevation GmbH
# Authors:
# Karl-Heinz Ruskowski <khruskowski@intevation.de>
#
# This program is free software under the GPL (>=v2)
# Read the file COPYING coming with the software for details.

from PyQt4.QtGui import *

class WizardMainWidget(QWidget):
    # Slots
    def show_prev(self):
        self.parent().show_prev()

    def show_next(self):
        self.parent().show_next()

class InputFileList(QListWidget):
    def __init__(self, parent=None):
        QListWidget.__init__(self, parent)
        self.filelist = []

    def add_item(self):
        filenames = QFileDialog.getOpenFileNames(self, 'Datei \xD6ffnen', #
                                                  '', 'Access Datenbank (*.mde)')
        for i in filenames:
            item = QListWidgetItem(self)
            item.setText(i)

            # parent().parent().parent() would be Wizard Main Window
            self.parent().parent().parent().inputfilelist.append(i)

    def del_item(self):
        si = self.selectedItems()
        for sel in si:
            if self.row(sel) <= len(self.parent().parent().parent().inputfilelist):
                self.parent().parent().parent().inputfilelist.pop(self.row(sel))

        self.clear()
        self.addItems(self.parent().parent().parent().inputfilelist)

class OutputDirEdit(QLineEdit):
    def select_dir(self):
        dirname = QFileDialog.getExistingDirectory(self, 'Verzeichniss ausw\xe4hlen',
                                                   '/home',
                                                   QFileDialog.ShowDirsOnly)
        self.setText(dirname)
        self.parent().parent().parent().outputdir = dirname




